Get list of chats

Returns a paginated list of chat conversations with optional filtering, searching, and sorting. **Available Filters** (via `filter` parameter): - `unread` - Only unread chats - `online` - Only online users - `subscribed_to` - Users you're subscribed to - `not_muted` - Exclude muted chats - `subscribers` - Only subscribers (creator-only) - `followers` - Only followers (creator-only) - `recent_subscribers` - Recently subscribed (creator-only) - `not_answered` - Unanswered chats (creator-only) - `spent_more_than_50` - High spenders (creator-only) - `on_free_trial` - Free trial users (creator-only) - `has_tipped` - Users who have tipped (creator-only) - `spenders` - All spenders (creator-only) - `exclude_creators` - Exclude creator accounts (creator-only) **Sort Options** (via `sortBy` parameter): - `most_recent_messages` (default) - Sort by most recent message - `online_now` - Prioritize online users - `most_unanswered_chats` - Sort by unanswered count <Info>Scope required: `read:chat`</Info> <Warning>Some filters are only available to creators. Using creator-only filters as a non-creator will return a 403 error.</Warning>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

pagedoubleOptional>=1Defaults to 1

Page number to retrieve (starts from 1)

sizedoubleOptional1-50Defaults to 15

Number of items to return per page (1-50, default: 15)

customListIdstringOptionalformat: "uuid"
Filter chats by custom list UUID
smartListIdslist of enumsOptional

Filter chats by smart list type(s)

filterlist of enumsOptional

Filter types to apply (can specify multiple via repeated params)

searchstringOptional<=100 characters

Search term to filter chats by user name/handle

sortByenumOptional

Sort order for chat list (default: most_recent_messages)

Allowed values:

Response

List of chats
datalist of objects
Array of chat conversations
paginationobject
Pagination information

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
410
Gone Error
429
Too Many Requests Error